Skip to main content
GET
/
organizations
/
{organization}
/
invoices
/
{id}
Get an invoice
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/invoices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "total": 123,
  "billing_period_start": "<string>",
  "billing_period_end": "<string>",
  "paid": true,
  "overdue": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

id
string
required

Invoice public ID from list_invoices. Example: aabb12123434.

Response

Returns an invoice

id
string
required

The ID of the invoice

total
number
required

The total amount of the invoice

billing_period_start
string
required

Start of the billing period

billing_period_end
string
required

End of the billing period

paid
boolean
required

Whether the invoice has been paid

overdue
boolean
required

Whether the invoice is past due and unpaid